LANDSLIDE(1)

NAME
landslide - html5 slideshow generator

SYNOPSIS
landslide [options] input.md ...

DESCRIPTION
Landside is a tool which can generates an HTML5 slideshow using lightweight markup as input.

You can write your slide contents easily using there syntaxes:

Markdown

ReStructuredText

Textile

This tool support CSS/JS theming, PDF export (using PrinceXML Python library), embed images with Base64 (for stand-alone document) and fancy transitions.

A sample presentation is available here: <http://ionelmc.github.io/python-darkslide/>.

OPTIONS

-h, --help
    show help message and exit

-b, --debug
    Will display any exception trace to stdin

-d FILE, --destination=FILE
    The path to the to the destination file: .html or .pdf extensions allowed (default: presentation.html)

-e ENCODING, --encoding=ENCODING
    The encoding of your files (defaults to utf8)

-i, --embed
    Embed stylesheet and javascript contents, base64-encoded images in presentation to make a standalone document

-l LINENOS, --linenos=LINENOS
    How to output linenos in source code. Three options are available: no (no line numbers); inline (inside <pre> tag); table (lines numbers in another cell, copy-paste friendly)

-m, --math-output
    Enable mathematical output using mathjax

-o, --direct-output
    Prints the generated HTML code to stdin; won't work with PDF export

-q, --quiet
    Won't write anything to stdin (silent mode)

-r, --relative
    Make your presentation asset links relative to current pwd; This may be useful if you intend to publish your html presentation online.

-t THEME, --theme=THEME
    A theme name, or path to a landslide theme directory

-v, --verbose
    Write informational messages to stdin (enabled by default)

-w, --watch
    Watch the source directory for changes and auto-regenerate the presentation

-x EXTENSIONS, --extensions=EXTENSIONS
    Comma-separated list of extensions for Markdown

DIAGNOSTICS
Note: PDF export requires the `prince` program: http://princexml.com/

AUTHOR
Damien Raude-Morvan <drazzib@debian.org>